unit BloUniUt;

interface

Function VratRodinuPismen(o:word;var s:string):byte;


implementation
const
uni_nabodenicka_poc = 35;
uni_nabodenicka:array[1..uni_nabodenicka_poc] of string = (

   {A} #0#65+#0#192+#0#193+#0#194+#0#195+#0#196+#0#197+#1#0+#1#2+#1#4+#2#0+#2#38,
   {a} #0#97+#0#224+#0#225+#0#226+#0#227+#0#228+#0#229+#1#1+#1#3+#1#5+#2#1+#2#39,
   {C} #0#67+#0#169+#0#199+#1#6+#1#8+#1#10+#1#12,
   {c} #0#99+#0#231+#1#7+#1#9+#1#11+#1#13,
   {D} #0#68+#1#14+#1#16,
   {d} #0#100+#1#15+#1#17,
   {E} #0#69+#0#200+#0#201+#0#202+#0#203+#1#18+#1#20+#1#22+#1#24+#1#26,
   {e} #0#101+#0#232+#0#233+#0#234+#0#235+#1#19+#1#21+#1#23+#1#25+#1#27,
   {G} #0#71+#1#28+#1#30+#1#32+#1#34,
   {g} #0#103+#1#29+#1#31+#1#33+#1#35,
   {H} #0#72+#1#36+#2#30,
   {h} #0#104+#1#37+#2#31,
   {I} #0#73+#0#204+#0#205+#0#206+#0#207+#1#40+#1#42+#1#44+#1#46+#1#48,
   {i} #0#105+#0#236+#0#237+#0#238+#0#239+#1#41+#1#43+#1#45+#1#47+#1#49,
   {J} #0#74+#1#52,
   {j} #0#106+#1#53,
   {L} #0#76+#1#57+#1#59+#1#61+#1#63+#1#65,
   {l} #0#108+#1#58+#1#60+#1#62+#1#64+#1#66,
   {N} #0#78+#0#209+#1#67+#1#69+#1#71,
   {n} #0#110+#0#241+#1#68+#1#70+#1#72,
   {O} #0#79+#0#210+#0#211+#0#212+#0#213+#0#214+#1#76+#1#78+#1#80+#0#216+#1#234+#2#46,
   {o} #0#111+#0#242+#0#243+#0#244+#0#245+#0#246+#1#76+#1#78+#1#80+#0#246+#1#235+#2#47,
   {R} #0#82+#1#84+#1#86+#1#88,
   {r} #0#114+#1#85+#1#87+#1#89,
   {S} #0#83+#1#90+#1#92+#1#94+#1#96+#2#24,
   {s} #0#115+#1#91+#1#93+#1#95+#1#97+#2#25,
   {T} #0#84+#1#98+#1#100+#1#102+#2#26,
   {t} #0#116+#1#99+#1#101+#1#103+#2#27,
   {U} #0#85+#0#217+#0#218+#0#219+#0#220+#1#104+#1#106+#1#108+#1#110+#1#112+#1#114,
   {u} #0#117+#0#249+#0#250+#0#251+#0#252+#1#105+#1#107+#1#109+#1#111+#1#113+#1#115,
   {Y} #0#89+#0#221+#1#120+#1#118,
   {y} #0#121+#0#253+#0#255+#1#119,
   {Z} #0#90+#1#121+#1#123+#1#125+#2#36,
   {z} #0#122+#1#122+#1#124+#1#126+#2#37,
   {"} #0#34+#0#187+#0#171+#32#30+#32#28+#32#26+#32#24+#32#58+#32#57
   );



Function VratRodinuPismen(o:word;var s:string):byte;
var b,a,n:byte;
    i,w:word;

begin
VratRodinuPismen:=0;
s:='';
if (o<byte('A')) and (o<>byte('"')) then Exit;
if o>$400 then Exit;

for b:=1 to uni_nabodenicka_poc do
    begin
    for a:=1 to Length(uni_nabodenicka[b]) div 2 do
        begin
        i:=a*2-1;
        w:=byte(uni_nabodenicka[b][i])*256+byte(uni_nabodenicka[b][i+1]);
        if w=o then
           begin
           s:=uni_nabodenicka[b];
           VratRodinuPismen:=a;
           Exit;
           end;
        end;
    end;
end;



end.
